# PIP: src/core/pitime.h File Reference

pitime.h File Reference

Time structs. More...

## Classes

class | PISystemTime
| System time. More...
class | PITimeMeasurer
| Time measurements. More...

## Functions

void | msleep (int msecs)
| Sleep for "msecs" milliseconds.
void | piUSleep (int usecs)
| Precise sleep for "usecs" microseconds. More...
void | piMSleep (double msecs)
| Precise sleep for "msecs" milliseconds. More...
void | piSleep (double secs)
| Precise sleep for "secs" seconds. More...
PICout | operator<< (PICout s, const PISystemTime &v)
| Output operator to PICout.
PIByteArray & | operator<< (PIByteArray &s, const PISystemTime &v)
| Output operator to PIByteArray.
PIByteArray & | operator>> (PIByteArray &s, PISystemTime &v)
| Input operator from PIByteArray.
PISystemTime | currentSystemTime ()
| Returns current system time. More...

## Detailed Description

Time structs.

## Function Documentation

void piUSleep | ( | int | usecs | ) |

Precise sleep for "usecs" microseconds.

This function consider `"usleep"` offset on QNX/Linux/Mac, which is calculated with pip_sys_test program. If there is correct offset value in system config, this function wait exactly "usecs" microseconds.

void piMSleep | ( | double | msecs | ) |

inline

Precise sleep for "msecs" milliseconds.

This function exec piUSleep (msecs * 1000).

void piSleep | ( | double | secs | ) |

inline

Precise sleep for "secs" seconds.

This function exec piUSleep (msecs * 1000000).

PISystemTime currentSystemTime | ( |  | ) |

inline

Returns current system time.

Deprecated:
  Use PISystemTime::current() instead